MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025122Community[OCCT] OCCT:Shape Healingpublic2014-08-04 08:492014-11-11 12:59
ReporterRoman Lygin 
Assigned Toapv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025122: Expose internal static function ComputeDeviation from ShapeAnalysis_Edge.cxx
DescriptionTo avoid code duplication in user's code performing the same function (computing deviation between two curve representations) ComputeDeviation() could be exposed as a static method of ShapeAnalysis_Edge.

Using ShapeAnalysis_Edge::CheckSameParameter() is not applicable as the latter checks *all* available curve representations stored inside the edge. Instead, the interest is to compute only specified pairs of representations selected in the user's code. For instance, in the context of a parent face, there is no need to take into account pcurves lying on other faces (which can be orphan).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0030551)
git (administrator)
2014-08-04 08:53

Branch CR25122 has been created by Roman Lygin.

SHA-1: bd5df4889f2c05528422cdfdaf5fa672924ce085


This branch includes the following new commits:

       new bd5df48 0025122: Expose internal static function ComputeDeviation from ShapeAnalysis_Edge.cxx


Detailed log of new commits:

commit bd5df4889f2c05528422cdfdaf5fa672924ce085
Author: Roman Lygin
Date: Mon Aug 4 08:52:42 2014 +0400

    0025122: Expose internal static function ComputeDeviation from ShapeAnalysis_Edge.cxx
(0030552)
Roman Lygin (developer)
2014-08-04 08:56

The modification pushed to the git repository.
Note that the referenced Validate() function in the BRepCheck_Edge.cxx (which ComputeDeviation() derived from) has slightly evolved for the past years. For instance, the range is no checked in a more relaxed fashion:
fabs(Other.FirstParameter()-First) > aPC || fabs( Other.LastParameter()-Last) > aPC);

vs more strict First != OFirst || Last != OLast used in ShapeAnalysis_Edge.cxx

To minimize the risk of side effects/regressions ComputeDeviation() has not been changed. This remains at discretion of the OCC team.
(0030555)
gka (developer)
2014-08-04 14:07

Branch CR25122 is ready to be tested
(0030610)
apv (tester)
2014-08-06 18:54

Dear BugMaster,

Branch CR25122 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: bd5df4889f2c05528422cdfdaf5fa672924ce085

Number of compiler warnings:
occt component
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 328010220 / 328734112
Total CPU difference: 40650.33999999978 / 38346.94000000032

Testing on Windows:
Total MEMORY difference: 144656276 / 144979864
Total CPU difference: 12701.734375 / 15223.546875
(0030821)
git (administrator)
2014-08-18 11:07

Branch CR25122 has been deleted by inv.

SHA-1: bd5df4889f2c05528422cdfdaf5fa672924ce085
(0033141)
Roman Lygin (developer)
2014-10-15 15:35

Verified in 6.8.0 beta.

- Related Changesets
occt: master 5402ccdd
Timestamp: 2014-08-04 04:52:42
Author: Roman Lygin
Committer: apv
Details ] Diff ]
0025122: Expose internal static function ComputeDeviation from ShapeAnalysis_Edge.cxx
mod - src/ShapeAnalysis/ShapeAnalysis_Edge.cdl Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Edge.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-04 08:49 Roman Lygin New Issue
2014-08-04 08:49 Roman Lygin Assigned To => gka
2014-08-04 08:53 git Note Added: 0030551
2014-08-04 08:56 Roman Lygin Note Added: 0030552
2014-08-04 08:56 Roman Lygin Status new => resolved
2014-08-04 14:07 gka Note Added: 0030555
2014-08-04 14:07 gka Status resolved => reviewed
2014-08-05 19:29 abv Target Version => 6.8.0
2014-08-06 17:35 apv Test case number => Not needed
2014-08-06 18:54 apv Note Added: 0030610
2014-08-06 18:56 apv Assigned To gka => bugmaster
2014-08-06 18:56 apv Status reviewed => tested
2014-08-08 13:51 apv Changeset attached => occt master 5402ccdd
2014-08-08 13:51 apv Assigned To bugmaster => apv
2014-08-08 13:51 apv Status tested => verified
2014-08-08 13:51 apv Resolution open => fixed
2014-08-18 11:07 git Note Added: 0030821
2014-10-15 15:35 Roman Lygin Note Added: 0033141
2014-11-11 12:44 user533 Fixed in Version => 6.8.0
2014-11-11 12:59 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker